# Specifies which identity to use depending on the path I'm running ssh
# from.
# For example: ("mod-xslt", "personal") means that for any path that
# contains the word "mod-xslt", the "personal" identity should be used.
# This is optional - don't include any MATCH_PATH if you don't need it.
MATCH_PATH = [
# (directory pattern, identity)
]
    
# If any of the ssh arguments have 'cweb' in it, the 'personal' identity
# has to be used. For example: "ssh myhost.cweb.com" will have cweb in
# argv, and the "personal" identity will be used.
# This is optional - don't include any MATCH_ARGV if you don't
# need it.
MATCH_ARGV = [
#	(r"maires", "personal"),
#	(r"skadden", "personal"),
	(r"website", "website"),
	(r"kvm", "kvm"),
	(r"git", "git"),
	(r"borgbase", "borg"),
	(r"reginald", "reginald"),
#    (r"github", "github"),
]
   
# Note that if no match is found, the DEFAULT_IDENTITY is used. This is
# generally your loginname, no need to change it.
# This is optional - don't include any DEFAULT_IDENTITY if you don't
# need it.
# DEFAULT_IDENTITY = "foo"
    
# This is optional - don't include any SSH_ADD_OPTIONS if you don't
# need it.
SSH_ADD_OPTIONS = {}
    
# This is optional - dont' include any SSH_OPTIONS if you don't
# need it.
# Otherwise, provides options to be passed to 'ssh' for specific
# identities.
SSH_OPTIONS = {}
    
# Options to pass to ssh by default.
# If you don't specify anything, UserRoaming=no is passed, due
# to CVE-2016-0777. Leave it empty to disable this.
SSH_DEFAULT_OPTIONS = ""
   
# Which options to use by default if no match with SSH_ADD_OPTIONS
# was found. Note that ssh-ident hard codes -t 7200 to prevent your
# keys from remaining in memory for too long.
SSH_ADD_DEFAULT_OPTIONS = "-t 7200"
    
# Output verbosity
# valid values are: LOG_ERROR, LOG_WARN, LOG_INFO, LOG_DEBUG
VERBOSITY = LOG_INFO
